Authentication
authorization string required
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID to use for the request.
Value: vtrix-grok-4.3
messages array required
Array of message objects representing the conversation history.
role
stringrequiredMessage role.
Options:
user,assistant,system,developer
content
string | arrayrequiredText string or multimodal content array. Supports text and image input.
reasoning_effort string
Controls how much reasoning the model performs before answering.
Default: low
Options: none, low, medium, high
max_tokens integer
Maximum tokens to generate in the completion.
temperature number
Sampling temperature to use.
Default: 1.0
Range: 0.0 - 2.0
top_p number
Nucleus sampling parameter.
Default: 1.0
Range: 0.0 - 1.0
stream boolean
Whether to stream response incrementally.
Default: false
tools array
List of tools the model may call.
type
stringrequiredTool type.
Options:
function
function
objectrequiredFunction tool definition.
response_format object
Format that the model must output. Used for structured outputs.
type
stringrequiredOutput format type.
Options:
text,json_object,json_schema